const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isShow:null,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var list = JSON.parse(options.list);
    this.setData({
      list,
      listCopy:JSON.stringify(list)
    })
  },
  sort(e){
    var that = this;
    var type = e.currentTarget.dataset.type;
    var list = this.data.list;
    var isShow = this.data.isShow;
    if(isShow == null){
      list.sort((a,b)=>b[type] - a[type]) // 升序
      isShow = true
    }else if(isShow == true){
      list.sort((a,b)=>a[type] - b[type]) // 降序
      isShow = false
    }else if(isShow == false){ // 恢复
      list = JSON.parse(that.data.listCopy);
      isShow = null
    }
    this.setData({
      type,
      isShow,
      list,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})